services:
  vaultwarden:
    image: vaultwarden/server:latest
    restart: unless-stopped
    environment:
      - DOMAIN=https://vault.luckyden.org
      - SIGNUPS_ALLOWED=true
      - TRUSTED_PROXIES=10.10.0.20
    volumes:
      - /home/docker/KeyDen/data:/data
    networks:
      tan-network:
        ipv4_address: 10.10.0.55
    labels:
      - traefik.enable=true
      - traefik.http.routers.vault.rule=Host(`vault.luckyden.org`)
      - traefik.http.routers.vault.entrypoints=websecure
      - traefik.http.routers.vault.tls.certresolver=cloudflare
      - traefik.http.services.vault.loadbalancer.server.port=80

networks:
  tan-network:
    external: true
